गॅम्बस 3 सह बनविलेल्या यूट्यूब-डीएलसाठी फ्रंट-एंड

नमस्कार, गॅम्बॅस about बद्दलची माझी मागील पोस्ट किती यशस्वी आहे हे पाहूनमला कोळंबी जाणून घ्यायची आहे, मी कोठे सुरू करू?), भेट आणि टिप्पण्यांच्या संख्येनुसार मी आज सकाळी बनविलेले एक छोटेसे उदाहरण तुमच्यासमोर आणत आहे.

हा प्रोग्रामचा फ्रंट-एंड आहे यूट्यूब-डीएल, मला माहित आहे की या प्रोग्रामचे इतर फ्रंट-एंड देखील आहेत, परंतु मी म्हटल्याप्रमाणे, हे gambas3 सह काय केले जाऊ शकते त्याचे एक उदाहरण आहे.

जर तुम्हाला हे माहित नसेल, यूट्यूब-डीएल असा प्रोग्राम आहे जो आम्हाला कमांड लाइनमधून (आमचे प्रिय टर्मिनल) YouTube व्हिडिओ डाउनलोड करण्यात मदत करतो.

यूट्यूब-डीएल आणि प्रोग्राम गॅम्बॅस 3 मध्ये चांगल्या प्रकारे कार्य करण्यासाठी, आपल्याला YouTube- डीएल ची नवीनतम आवृत्ती स्थापित करण्याची आवश्यकता आहे

यूट्यूब-डीएल ची नवीनतम आवृत्ती स्थापित कशी करावी हे आहे:
sudo curl https://yt-dl.org/downloads/2014.03.07.1/youtube-dl -o /usr/local/bin/youtube-dl
sudo chmod a+x /usr/local/bin/youtube-dl

प्रकल्पाच्या पानावर आपल्याला अधिक माहिती सापडेलः
http://rg3.github.io/youtube-dl/download.html

मी गॅम्बॅस in मध्ये काय केले आहे, हा एक प्रकार आहे जो त्याचा उपयोग सुलभ करेल, आपल्याला फक्त "सामायिक" मार्ग (जो आपण युट्यूब पृष्ठावर मिळतो) आणि आपल्या संगणकावर व्हिडिओ जतन करू इच्छित असलेला मार्ग सूचित करावा लागेल.

Gambas3 सह YouTube-dl साठी फ्रंट-एंड

कार्यरत प्रोग्रामिंग: व्हिडिओ डाउनलोड करणे

येथे आपल्याकडे एक व्हिडिओ आहे म्हणजे आपण तो कसा वापरावा आणि तो कसा कार्य करतो हे आपण पाहू शकता:

बटण डाउनलोड करा

नोट:

  • डाउनलोडमध्ये आपल्याला दोन फायली असलेले एक फोल्ड दिसेल, .deb फाइल ती डेबियन / उबंटू किंवा डेरिव्हेटिव्ह्जमध्ये स्थापित करण्यासाठी आहे.
  • गॅम्बॅस programming प्रोग्रामिंग कल्पनांमध्ये, समान स्त्रोत कोड इतर जीएनयू / लिनक्स वितरणासाठी प्रतिष्ठापन पॅकेजेसमध्ये रूपांतरित केला जाऊ शकतो.
  • ही एक बीटा आवृत्ती आहे, आपल्याला काही अडचण असल्यास, मला कळवा, आणि मी त्यास उड्डाण करताना दुरुस्त करेन.

आनंद घ्या, ग्रीटिंग्ज.


लेखाची सामग्री आमच्या तत्त्वांचे पालन करते संपादकीय नीति. त्रुटी नोंदविण्यासाठी क्लिक करा येथे.

27 टिप्पण्या, आपल्या सोडा

आपली टिप्पणी द्या

आपला ई-मेल पत्ता प्रकाशित केला जाणार नाही.

*

*

  1. डेटा जबाबदार: मिगुएल Áन्गल गॅटन
  2. डेटाचा उद्देशः नियंत्रण स्पॅम, टिप्पणी व्यवस्थापन.
  3. कायदे: आपली संमती
  4. डेटा संप्रेषण: कायदेशीर बंधन वगळता डेटा तृतीय पक्षास कळविला जाणार नाही.
  5. डेटा संग्रहण: ओकेन्टस नेटवर्क (EU) द्वारा होस्ट केलेला डेटाबेस
  6. अधिकारः कोणत्याही वेळी आपण आपली माहिती मर्यादित, पुनर्प्राप्त आणि हटवू शकता.

  1.   घेरमाईन म्हणाले

    हे पॉप अप होते:
    sudo: curl: कमांड सापडली नाही

    नंतर वापरा:
    sudo wget https://yt-dl.org/downloads/2014.03.07.1/youtube-dl -ओ / यूएसआर / स्थानिक / बिन / यूट्यूब-डीएल

    आणि नंतर:
    sudo chmod a + x / usr / स्थानिक / बिन / youtube-dl

    1.    घेरमाईन म्हणाले

      कुबंटू 14.04 (64) वर अचूकपणे स्थापित केलेले चिन्ह मेनूमध्ये दर्शवितो परंतु जेव्हा मी अनुप्रयोग उघडण्यासाठी त्यास स्पर्श करतो तेव्हा ते काही करत नाही ... हे दर्शविते की ते चालू आहे आणि नंतर ते बंद होते आणि काहीही ग्राफिकरित्या प्रदर्शित केले जात नाही.

      1.    रावेन म्हणाले

        आपण कोळंबी 3 स्थापित केली आहे? माझ्याकडे हे स्थापित केले नसताना दुसर्‍या अनुप्रयोगासह असे काहीतरी घडले होते, म्हणून जेव्हा मी हे टर्मिनलवरुन पळले तेव्हा मला समजले की जे मी हरवत आहे ते कोळंबी होते, म्हणून मी ते स्थापित केले आणि समस्येचे निराकरण केले. हे आपल्याला काय सांगते हे पाहण्यासाठी टर्मिनलवरून चालवण्याचा प्रयत्न करा.

        1.    घेरमाईन म्हणाले

          मी केलेली पहिली गोष्ट होती, कोणत्याही गोष्टीपूर्वी गॅम्बस 3 स्थापित करा आणि ते सत्यापित करण्यासाठी मी एक अनुप्रयोग स्थापित केला जो तो वापरतो आणि उत्तम प्रकारे कार्य करतो.

          1.    jsbsan म्हणाले

            मी पोस्टमध्ये टिप्पणी दिल्यानुसार आपण YouTube- डीएल ची नवीनतम आवृत्ती स्थापित केली आहे?
            हे तपासा कारण तेथे त्रुटी असू शकते.
            कन्सोलमध्ये हे लिहिण्यासाठी आपण दुसरे काहीतरी वापरून पहा:
            डाउनलोड युट्यूब
            आणि कन्सोलमधून आलेला मजकूर मला सांगा, कारण तो एका त्रुटीची नोंद नक्कीच करेल.
            नोट:
            ठीक "डाऊनलोड यूट्यूब" लिहा, कारण gnu / लिनक्स अप्परकेस आणि लोअरकेस अक्षरे मध्ये भिन्नता दर्शविते.

    2.    x11tete11x म्हणाले

      आपल्याला कदाचित करावे लागेलः sudo apt-get इंस्टॉल कर्ल

      1.    घेरमाईन म्हणाले

        मी सर्व काही केले आहे आणि ते अद्याप कार्य करत नाही, मी एक चित्र सोडतो:
        [url = http: //postimg.org/image/h6wxwopcp/full/] [img] http://s20.postimg.org/agggn9271/instant_nea3.png [/ img] [/ url]
        [url = http: //postimage.org/index.php? lang = स्पॅनिश] इमेज [/ url]

      2.    घेरमाईन म्हणाले

        मी आधीच सर्व काही केले आहे आणि तरीही ते कार्य करत नाही. मी एक स्क्रीनशॉट सोडतो:
        http://postimg.org/image/h6wxwopcp/

        1.    jsbsan म्हणाले

          मी पाहिले आहे की आपण आधीच निराकरण केले आहे. तरीही आपण कन्सोलवर आढळलेल्या त्रुटी मी करतो:
          जेव्हा "बाईकोड खूप अलीकडील" त्रुटी दिसून येते तेव्हा याचा अर्थ असा आहे की आपण स्थापित केलेले गॅम्बॅस 3 ची आवृत्ती प्रोग्रामद्वारे आवश्यक असलेल्यापेक्षा कमी आहे. याचे निराकरण करण्याचे दोन मार्ग आहेत:
          1) आपल्या gambas3 च्या Ide मध्ये स्त्रोत कोड उघडा (जो मी देखील प्रदान करतो) आणि पुन्हा संकलित करा (कार्यवाहीयोग्य किंवा स्थापना पॅकेज तयार करा)
          2) मेनू पीपीए वापरुन, आपण पूर्ण केले म्हणून सर्वात आधुनिक आवृत्तीमध्ये गॅम्बॅस 3 अद्यतनित करा.
          सर्वात चांगला पर्याय 2 रा आहे, परंतु काहीवेळा तो करता येणार नाही, म्हणून आपल्याला 1 ला पर्याय वापरावा लागेल.

  2.   एँड्रिस म्हणाले

    कोळंबीसह काय करता येते याची उदाहरणे दिल्याबद्दल धन्यवाद, ते प्रेरणा म्हणून काम करते.

  3.   घेरमाईन म्हणाले

    हा अन्य प्रोग्राम डाउनलोड करा आणि तेथे तो म्हटल्याप्रमाणे मी स्थापित केला आणि ते कार्य करत नाही, हे काय असू शकते? मी 14.04 चा कुबंटू 64 बीटा वापरतो
    http://tuxprogramador.blogspot.com.ar/2012/07/interfaz-grafica-para-youtube-dl.html

    1.    घेरमाईन म्हणाले

      तयार!!! मला सर्वकाही विस्थापित करायचे होते, नंतर हे भांडार जोडा:
      sudo apt-add-रिपॉझिटरी पीपीए: nemh / gambas3
      आणि एक अद्यतन> अपग्रेड> डिस्ट-अपग्रेड करा आणि नंतर अनुप्रयोग पुन्हा स्थापित करा आणि ते माझ्यासाठी कार्य करते.

  4.   jsbsan म्हणाले

    मी नुकताच प्रोग्रामला अपडेट केला. आता डाउनलोड व्हिडिओ सूचीचे समर्थन करा. म्हणजेच, आपण अर्धविराम वर्णानुसार विभक्त करून, अनेक YouTube दुवे आपण ठेवू शकता «;» आणि प्रोग्राम आपण सूचित केलेल्या निर्देशिकेमध्ये एक एक करुन डाउनलोड करतो.
    तुमच्यापैकी ज्यांनी प्रोग्राम डाऊनलोड केला आहे, तुम्ही जर तो पुन्हा चालवला (आणि तुम्ही इंटरनेटशी कनेक्ट झालात) तर तुम्हाला एक नवीन व्हर्जन असल्याचे दर्शविणारा मेसेज मिळेल, तुमच्या ब्राउझरमध्ये विंडो उघडण्यासाठी डाऊनलोड बटण दाबा Google ड्राइव्ह फोल्डर सापडेल जिथे माझ्याकडे नवीन स्रोत कोड आणि .deb इंस्टॉलर पॅकेज आहे. ते पुन्हा स्थापित करण्यासाठी .deb पॅकेज डाउनलोड करा.
    ग्रीटिंग्ज

    1.    घेरमाईन म्हणाले

      मी लेखात येथे नवीन इंस्टॉलर ठेवणे अधिक चांगले वाटते.
      जसे आपण विचारता, मी प्रोग्राम चालविला आहे आणि जे मला मिळते ते एक नवीन यूट्यूब-डीएल अपडेट आहे
      मी त्याला स्पर्श करतो आणि ते मला घेते http://rg3.github.io/youtube-dl/download.html जी मी सुरुवातीला डाउनलोड केली होती आणि त्याचमुळे अनुप्रयोगासाठी मला त्रुटी मिळाली.
      मी आपल्या ब्लॉगवर जाण्यासाठी स्पर्श करतो आणि दिनांक दिनांक आहेः मंगळवार, 10 सप्टेंबर, 2019! ...?
      सर्व घोटाळ्याबद्दल क्षमस्व, मी ना तज्ञ किंवा संगणक वैज्ञानिक नाही, फक्त एक अशी व्यक्ती जी विनामूल्य सॉफ्टवेअर पसंत करते आणि समर्थित करते आणि मी 95 पासून विंडोज वापरत आहे
      कोणीतरी माझ्यावर टीका करण्यापूर्वी, मी असे म्हणतो: मला असे वाटते की माझ्या टिप्पण्या नवीन आलेल्यांना आणि ज्यांना विचारण्यात दु: खी किंवा आळशी वाटते त्यांना मार्गदर्शन करते, परंतु मी नेहमी जाणत्या लोकांच्या मदतीने माझ्या अज्ञानापासून मुक्त होण्यास प्राधान्य देतो.

      1.    jsbsan म्हणाले

        @Germain: installed नवीन स्थापित केलेला लेख येथे देणे चांगले आहे असे मला वाटते »
        आपण या लेखातील "डाउनलोड" बटणावर क्लिक केल्यास नवीन आवृत्ती येईल (नवीनतम आवृत्ती नेहमीच तेथे असेल).
        हे खरोखर एक Google ड्राइव्ह फोल्डर आहे, जिथे मी या प्रोग्रामचे अद्यतन अपलोड करतो:
        https://drive.google.com/folderview?id=0B02Ro2CNt-OOWmRHS0ZsU2x3eXc&usp=sharing

        "मी आपल्या ब्लॉगवर जाण्यासाठी स्पर्श करतो आणि दिनांक दिनांक आहेः मंगळवार, 10 सप्टेंबर 2019! ...?"
        एंट्री मेनू आणि टॅग मेनूचा पर्याय मिळविणे ही ब्लॉगस्पॉट डॉट कॉममधील युक्ती आहे

        आपल्याकडे आधीपासून प्रोग्राम स्थापित केलेला असल्यास आणि मी प्रोग्रामची आवृत्ती अद्यतनित करतो, जेव्हा आपण प्रोग्राम सुरू करता तेव्हा आपल्याला असा संदेश मिळेल,
        https://lh4.googleusercontent.com/yNwukToPo2PAstCrHjnSrBzkTA7HkrZm3BJjHMrzgJw=w373-h207-p-no
        झालेले बदल सूचित करण्यासाठी आणि डाउनलोड बटण देणे आपल्याला Google ड्राइव्हच्या सामायिक फोल्डरमध्ये नेईल.

  5.   bsdgambero म्हणाले

    आणि बार

    1.    jsbsan म्हणाले

      @bsdgambaero: «आणि बार
      तुला काय म्हणायचे आहे ते मला माहित नाही ... 🙁

      1.    ddjdfbiwqnd म्हणाले

        प्रगती पट्टी

        1.    jsbsan म्हणाले

          मी याची अंमलबजावणी केलेली नाही, परंतु हे करणे सोपे आहे. मी प्रगती पट्टीसह एक नवीन आवृत्ती तयार करतो.

          1.    jsbsan म्हणाले

            प्रगती बार: ते आधीपासूनच आवृत्ती 0.0.5 मध्ये समाविष्ट केले आहेत
            https://lh6.googleusercontent.com/JkoKKg_wyXFGAomJogLqTXf7yCLxMluqL1n6OGXyKzg=w247-h207-p-no
            कोट सह उत्तर द्या

  6.   F3niX म्हणाले

    बरं मी जेव्हा आपला अॅप पाहिला तेव्हा मला थोड्या काळासाठी विकास करायचा होता, म्हणून मी तुमच्या अर्जाची एक प्रत बनविली पण लाझरस १.२ मध्ये मला ते वातावरण वापरून पहावेसे वाटले आणि मला ते खूप आवडले, मी स्त्रोत सोडतो, x1.2 साठी डेब आणि x64 साठी एक्जीक्युटेबल, सत्य हे आहे की मला 64 मध्ये कंपाईल करणे आवश्यक नाही आणि मी क्रॉस कंपाईलिंग कॉन्फिगर करू शकले नाही, मी ते जोडते:

    डेब एएमडी 64 (उबंटू 13.10 रोजी चाचणी केली):
    https://mega.co.nz/#!mkZ1iDgC!J-O476o9guxm0QFnYgjaqo92vI3_edyQV-AuD9cs8aY

    Tar.Gz कार्यकारी.
    https://mega.co.nz/#!mkZ1iDgC!J-O476o9guxm0QFnYgjaqo92vI3_edyQV-AuD9cs8aY

    कोड:
    https://mega.co.nz/#!ykRxTLgD!JGex6sUTQP3j0h86QGoAOwCdqv0IeI4jI8cFv3Rs1GI

    अभिवादन मित्रा.

    1.    jsbsan म्हणाले

      मला आनंद आहे की आपण लाजरमध्ये आपली स्वतःची आवृत्ती बनवण्याचा निर्णय घेतला.
      स्त्रोत कोड सामायिक केल्याबद्दल धन्यवाद.

      1.    F3niX म्हणाले

        एक आनंद मित्र :), अभिवादन.

  7.   एक्सर्क्सो म्हणाले

    आपण जसे सूचित करता तसे मी यूट्यूब डीएल ची नवीनतम आवृत्ती स्थापित केली आहे, मी गॅम्बॅस 3 आणि फ्रॉन-एंड स्थापित केले आहे आणि निष्पादन केल्यावर निकाल तयार करतो.

    $ डाउनलोड युट्यूब

    हे आहे: त्रुटी: # 2: 'एफएमन' वर्ग लोड करू शकत नाही: बायकोड खूप अलीकडील. कृपया कोळंबी सुधारित करा.

    ओएस हे लिनक्स मिंट 16 पेट्रा आहे. आणि पुदीना (आणि उबंटू) रेपॉजिटरीजमध्ये कोळंबीच्या सद्य आवृत्ती नाहीत.

    ग्रीटिंग्ज

    1.    jsbsan म्हणाले

      @ एक्सर्क्सो: आपल्याला भांडार जोडावे लागेल: नेम्ह / गॅम्बॅस 3
      घेरमेनची टिप्पणी पहा:
      "तयार!!! मला सर्वकाही विस्थापित करायचे होते, नंतर हे भांडार जोडा:
      sudo apt-add-रिपॉझिटरी पीपीए: nemh / gambas3
      आणि एक अद्यतन> अपग्रेड> डिस्ट-अपग्रेड करा आणि नंतर अनुप्रयोग पुन्हा स्थापित करा आणि ते माझ्यासाठी कार्य करते. »

      1.    एक्सर्क्सो म्हणाले

        सहमत; त्या रेपॉजिटरी मधील gambas3 पॅकेजची आवृत्ती मी स्थापित केलेल्यांपेक्षा भिन्न आहे का ते मी पाहू.

        मी कमांड लाइनवर यूट्यूब-डीएल वापरतो, अडचणीशिवाय. मला फक्त हा अनुप्रयोग वापरून पहाण्याची इच्छा होती जे मित्र आणि परिचितांना हे सुचवतात जे योगायोगाने टर्मिनल देखील उघडत नाहीत.

        धन्यवाद

        1.    jsbsan म्हणाले

          @ Xurxo:
          "मित्र आणि परिचितांना याची शिफारस करा जे योगायोगाने टर्मिनल देखील उघडत नाहीत."
          हे "अँटी-टर्मिनल" वापरकर्त्यांसाठी जीवन अधिक सुलभ करण्यासाठी डिझाइन केलेले आहे 🙂